import { MenuEvent } from "../modify-json";
import { MenuRow } from "../compute-menu-contents";
declare type MenuElementRenderer<T> = (props: {
    eventDispatch: (menuEvent: MenuEvent, shouldCloseMenu?: boolean) => void;
    menuElement: T;
    isSelected: boolean;
    allElementsInGroupAreOfThisType: boolean;
    parentGroup: MenuRow;
}) => JSX.Element;
declare const RenderMenuElement: MenuElementRenderer<any>;
export default RenderMenuElement;
